/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for MyocardialWallSegments
 */
public enum EnumCV_MyocardialWallSegments 
{
	//Myocardial Wall Segments - CID 3717
		LEFT_VENTRICLE_BASAL_ANTERIOR_SEGMENT_T_32619("T-32619"),
		LEFT_VENTRICLE_BASAL_ANTEROSEPTAL_SEGMENT_R_10075("R-10075"),
		LEFT_VENTRICLE_BASAL_INFEROSEPTAL_SEGMENT_R_10076("R-10076"),
		LEFT_VENTRICLE_BASAL_INFERIOR_SEGMENT_T_32615("T-32615"),
		LEFT_VENTRICLE_BASAL_INFEROLATERAL_SEGMENT_R_10079("R-10079"),
		LEFT_VENTRICLE_BASAL_ANTEROLATERAL_SEGMENT_R_1007A("R-1007A"),
		LEFT_VENTRICLE_MID_ANTERIOR_SEGMENT_T_32617("T-32617"),
		LEFT_VENTRICLE_MID_ANTEROSEPTAL_SEGMENT_R_10077("R-10077"),
		LEFT_VENTRICLE_MID_INFEROSEPTAL_SEGMENT_R_10078("R-10078"),
		LEFT_VENTRICLE_MID_INFERIOR_SEGMENT_T_32616("T-32616"),
		LEFT_VENTRICLE_MID_INFEROLATERAL_SEGMENT_R_1007B("R-1007B"),
		LEFT_VENTRICLE_MID_ANTEROLATERAL_SEGMENT_R_1007C("R-1007C"),
		LEFT_VENTRICLE_APICAL_ANTERIOR_SEGMENT_T_32613("T-32613"),
		LEFT_VENTRICLE_APICAL_SEPTAL_SEGMENT_T_32614("T-32614"),
		LEFT_VENTRICLE_APICAL_INFERIOR_SEGMENT_T_32618("T-32618"),
		LEFT_VENTRICLE_APICAL_LATERAL_SEGMENT_T_3261C("T-3261C"),
		APEX_OF_LEFT_VENTRICLE_T_32602("T-32602");

	private String value;

	EnumCV_MyocardialWallSegments(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
